Bug 1484945

Summary: Handle white spaces before variables in '/etc/kdump.conf' - add appropriate error handling and documentation
Product: [Fedora] Fedora Reporter: Bhupesh Sharma <bhsharma>
Component: kexec-toolsAssignee: Bhupesh Sharma <bhsharma>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: bhe, bhsharma, kdsouza, qzhao, ruyang, zsun
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1476219 Environment:
Last Closed: 2017-10-11 02:08:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Comment 2 Bhupesh Sharma 2017-08-24 15:35:28 UTC
Currently the kdumpctl script doesn't handle
whitespaces (including TABs) which might be there before
an option name in the kdump.conf

Comment 3 Bhupesh Sharma 2017-08-25 10:51:13 UTC
v1 was posted on Fedora kexec-tools list on Aug 24th:
https://lists.fedoraproject.org/archives/list/kexec@lists.fedoraproject.org/thread/GY666XQCYNDQN6SYGY5WMAA5P6A54PJW/

Comment 4 Bhupesh Sharma 2017-08-25 10:51:52 UTC
v2 was posted on Fedora kexec-tools list on Aug 25th:
https://lists.fedoraproject.org/archives/list/kexec@lists.fedoraproject.org/thread/LO2AKKRSFCZUMUUIMVQ5TNKVWPNW7QSF/

Comment 5 Bhupesh Sharma 2017-09-17 16:00:58 UTC
v3 was posted on Fedora kexec-tools list today:
https://lists.fedoraproject.org/archives/list/kexec@lists.fedoraproject.org/thread/GEFJP2WLBAVZK4ZRVKA4MPC2K57TCPSH/